<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
                                             xmlns:app="http://schemas.android.com/apk/res-auto"
                                             xmlns:myapp="http://schemas.android.com/apk/res-auto"
                                             xmlns:tools="http://schemas.android.com/tools"
                                             android:id="@+id/root_layout"
                                             android:layout_width="match_parent"
                                             android:layout_height="match_parent"
                                             android:background="@drawable/course_poster_one"
                                             tools:ignore="MissingDefaultResource">


    <android.support.constraint.ConstraintLayout
            android:id="@+id/content_layout"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="14dp"
            android:layout_marginTop="38dp"
            android:layout_marginEnd="14dp"
            android:layout_marginBottom="18dp"
            android:background="@drawable/course_background_course_poster_content"
            app:layout_constraintBottom_toTopOf="@+id/imageView2"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

        <ImageView
                android:id="@+id/iv_pic"
                android:layout_width="match_parent"
                android:layout_height="130dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                tools:ignore="MissingConstraints" />

        <TextView
                android:id="@+id/tv_title"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="11dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="11dp"
                android:ellipsize="end"
                android:lineSpacingExtra="3dp"
                android:maxLines="3"
                android:textColor="@color/course_color_242424"
                android:textSize="15sp"
                android:textStyle="bold"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/iv_pic"
                tools:text="丁sir说抑郁：像心理学家一样去挽回去挽回像心理学家一样去挽回去挽回"/>


        <TextView
                android:id="@+id/tv_intro"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="11dp"
                android:layout_marginTop="3dp"
                android:layout_marginEnd="11dp"
                android:ellipsize="end"
                android:lineSpacingExtra="3dp"
                android:maxLines="2"
                android:textColor="@color/course_color_242424"
                android:textSize="12sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_title"
                tools:text="这是课程简介这是课程简介这是课程简介这是课程简介这是课程简介这是课程简介"/>


        <TextView
                android:id="@+id/tv_symbol"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="￥"
                android:textColor="@color/course_color_FF5A4C"
                android:textSize="10sp"
                app:layout_constraintBottom_toBottomOf="@+id/tv_price"
                app:layout_constraintStart_toStartOf="@+id/tv_intro"
                app:layout_constraintTop_toTopOf="@+id/tv_price"/>

        <TextView
                android:id="@+id/tv_price"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="7dp"
                android:textColor="@color/course_color_FF5A4C"
                android:textSize="17sp"
                android:textStyle="bold"
                app:layout_constraintStart_toEndOf="@+id/tv_symbol"
                app:layout_constraintTop_toBottomOf="@+id/tv_intro"
                tools:text="100"/>


        <TextView
                android:id="@+id/tv_original_price"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="4dp"
                android:textColor="@color/course_color_999999"
                android:textSize="9sp"
                app:layout_constraintBottom_toBottomOf="@+id/tv_price"
                app:layout_constraintStart_toEndOf="@+id/tv_price"
                app:layout_constraintTop_toTopOf="@+id/tv_price"
                tools:text="原价399.00"/>


        <TextView
                android:id="@+id/tv_view_count"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/course_color_242424"
                android:textSize="10sp"
                android:textStyle="bold"
                app:layout_constraintBottom_toBottomOf="@+id/tv_price"
                app:layout_constraintEnd_toStartOf="@+id/tv_view_count_unit"
                app:layout_constraintTop_toTopOf="@+id/tv_price"
                tools:text="2819"/>

        <TextView
                android:id="@+id/tv_view_count_unit"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="4dp"
                android:text="人已学 |"
                android:textColor="@color/course_color_666666"
                android:textSize="10sp"
                app:layout_constraintBottom_toBottomOf="@+id/tv_price"
                app:layout_constraintEnd_toStartOf="@+id/tv_course_num"
                app:layout_constraintTop_toTopOf="@+id/tv_price"/>

        <TextView
                android:id="@+id/tv_course_unit"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="11dp"
                android:text="讲"
                android:textColor="@color/course_color_666666"
                android:textSize="10sp"
                app:layout_constraintBottom_toBottomOf="@+id/tv_price"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="@+id/tv_price"/>

        <TextView
                android:id="@+id/tv_course_num"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/course_color_242424"
                android:textSize="10sp"
                android:textStyle="bold"
                app:layout_constraintBottom_toBottomOf="@+id/tv_price"
                app:layout_constraintEnd_toStartOf="@+id/tv_course_unit"
                app:layout_constraintTop_toTopOf="@+id/tv_price"
                tools:text="24"/>


        <RelativeLayout
                android:id="@+id/rl_line"
                android:layout_width="match_parent"
                android:layout_height="15dp"
                android:layout_marginTop="19dp"
                app:layout_constraintTop_toBottomOf="@+id/tv_price">

            <View
                    android:id="@+id/view_line"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_centerVertical="true"
                    android:background="@drawable/course_background_course_poster_line"
                    android:layerType="software"/>


            <ImageView
                    android:id="@+id/iv_poster_one"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginStart="-8dp"
                    android:background="@drawable/course_background_course_poster_circle"/>

            <ImageView
                    android:id="@+id/iv_poster_two"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginEnd="-8dp"
                    android:background="@drawable/course_background_course_poster_circle"/>

        </RelativeLayout>

        <com.ydl.ydlcommon.view.widgets.RoundImageView
                android:id="@+id/iv_head"
                android:layout_width="26dp"
                android:layout_height="26dp"
                android:layout_marginStart="11dp"
                android:layout_marginTop="19dp"
                android:src="@drawable/course_poster_share_head"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/rl_line"
                myapp:pa_type="pa_circle"/>


        <TextView
                android:id="@+id/tv_user_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="6dp"
                android:text="壹点灵用户"
                android:textColor="@color/course_color_242424"
                android:textSize="12sp"
                android:textStyle="bold"
                app:layout_constraintStart_toEndOf="@+id/iv_head"
                app:layout_constraintTop_toTopOf="@+id/iv_head"/>


        <TextView
                android:id="@+id/tv_note"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="向你推荐这门课"
                android:textColor="@color/course_color_666666"
                android:textSize="9sp"
                app:layout_constraintStart_toStartOf="@+id/tv_user_name"
                app:layout_constraintTop_toBottomOf="@+id/tv_user_name"/>


        <TextView
                android:id="@+id/tv_note_2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="6dp"
                android:background="@drawable/course_bg_radius_green_7"
                android:paddingLeft="7dp"
                android:paddingTop="1dp"
                android:paddingRight="7dp"
                android:paddingBottom="1dp"
                android:text="长按扫码进入课程"
                android:textColor="@color/white"
                android:textSize="9sp"
                app:layout_constraintStart_toStartOf="@+id/tv_user_name"
                app:layout_constraintTop_toBottomOf="@+id/tv_note"/>

        <View
                android:layout_width="1dp"
                android:layout_height="1dp"
                android:layout_marginTop="22dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_note_2"/>

        <RelativeLayout
                android:id="@+id/view_bord"
                android:layout_width="52dp"
                android:layout_height="52dp"
                android:layout_marginEnd="10dp"
                android:background="@drawable/course_background_qrcode_bord"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="@+id/iv_head">

            <com.ydl.ydlcommon.view.widgets.RoundImageView
                    android:id="@+id/iv_qrc_code"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_centerInParent="true"
                    android:layout_margin="0.5dp"
                    myapp:pa_borderRadius="2dp"
                    myapp:pa_type="pa_round"/>
        </RelativeLayout>


    </android.support.constraint.ConstraintLayout>

    <ImageView
            android:id="@+id/imageView2"
            android:layout_width="60dp"
            android:layout_height="20dp"
            android:layout_marginBottom="18dp"
            android:src="@drawable/course_poster_logo"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/content_layout"/>


</android.support.constraint.ConstraintLayout>